VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "ComCtl32.ocx"
Object = "{4AEAB48D-2B47-4E9D-9C41-66B725D4CB83}#2.0#0"; "proCodeView.ocx"
Begin VB.Form Form1 
   Caption         =   "CodeView Example"
   ClientHeight    =   5190
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   9360
   LinkTopic       =   "Form1"
   ScaleHeight     =   5190
   ScaleWidth      =   9360
   StartUpPosition =   3  'Windows Default
   Begin proCodeView.CodeView CodeView1 
      Align           =   1  'Align Top
      Height          =   2775
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   9360
      _ExtentX        =   16510
      _ExtentY        =   4895
      AutoRedraw      =   -1  'True
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Verdana"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      FontSize        =   20
      KeyWordColour   =   8388608
      KeyWordColour   =   8388608
      CommentColour   =   16384
      NumberColour    =   16576
      StringColour    =   128
      TerminalColour  =   255
      BackColor       =   -2147483643
      LineNumberColour=   32768
      LineNumberColour=   32768
      LineNumbers     =   -1  'True
   End
   Begin ComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   4935
      Width           =   9360
      _ExtentX        =   16510
      _ExtentY        =   450
      SimpleText      =   ""
      _Version        =   327682
      BeginProperty Panels {0713E89E-850A-101B-AFC0-4210102A8DA7} 
         NumPanels       =   4
         BeginProperty Panel1 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   1
            Object.Width           =   8281
            TextSave        =   ""
            Key             =   ""
            Object.Tag             =   ""
         EndProperty
         BeginProperty Panel2 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            TextSave        =   ""
            Key             =   ""
            Object.Tag             =   ""
         EndProperty
         BeginProperty Panel3 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            TextSave        =   ""
            Key             =   ""
            Object.Tag             =   ""
         EndProperty
         BeginProperty Panel4 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            TextSave        =   ""
            Key             =   ""
            Object.Tag             =   ""
         EndProperty
      EndProperty
   End
   Begin MSComDlg.CommonDialog cdFile 
      Left            =   600
      Top             =   4680
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuOpen 
         Caption         =   "&Open"
      End
      Begin VB.Menu mnuSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnusText 
         Caption         =   "Save As Text"
      End
      Begin VB.Menu mnusRTF 
         Caption         =   "Save As RichText"
      End
      Begin VB.Menu mnuHTML 
         Caption         =   "Save as HTML"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "Edit"
      Begin VB.Menu mnuCut 
         Caption         =   "Cut"
      End
      Begin VB.Menu mnuCopy 
         Caption         =   "Copy"
      End
      Begin VB.Menu mnuPaste 
         Caption         =   "Paste"
      End
   End
   Begin VB.Menu mnuView 
      Caption         =   "View"
      Begin VB.Menu mnuLineNumbers 
         Caption         =   "LineNumbers"
      End
      Begin VB.Menu mnuProperties 
         Caption         =   "Code Properties"
      End
   End
   Begin VB.Menu mnuTools 
      Caption         =   "Tools"
      Begin VB.Menu mnuSpellCheck 
         Caption         =   "SpellCheck"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub CodeView1_ParamReturn(CanCut As Boolean, CanPaste As Boolean, CanCopy As Boolean, CanGoForward As Boolean, CanGoBack As Boolean, CanRedo As Boolean, CanUndo As Boolean)
    
    mnuCut.Enabled = CanCut
    mnuPaste.Enabled = CanPaste
    mnuCopy.Enabled = CanCopy
    
    
End Sub

Private Sub Form_Resize()
    CodeView1.Height = ScaleHeight - StatusBar1.Height
    
End Sub

Private Sub mnuCopy_Click()
    CodeView1.Copy
End Sub

Private Sub mnuCut_Click()
    CodeView1.cut
End Sub

Private Sub mnuHTML_Click()
    cdFile.Filter = "*.Htm|*.Htm"
    cdFile.ShowSave
        
    If cdFile.FileName > "" Then
        CodeView1.SaveAsHTML cdFile.FileName
    End If
    

End Sub

Private Sub mnuLineNumbers_Click()
    
    CodeView1.LineNumbers = Not CodeView1.LineNumbers
    
End Sub

Private Sub mnuOpen_Click()
    cdFile.FileName = vbNullString
    cdFile.Filter = "Basic Files (*.bas)|*.*|All Files|*.*"
    cdFile.ShowOpen
    
    If cdFile.FileName > " " Then
    
        With CodeView1
            .TextColour = vbBlack
            .BoldStrings = True
            .BoldComments = False
            .BoldKeyWords = False
            .BoldNumbers = True
            .HighlightNumbers = True
            .HighlightStrings = True
            .HighlightKeyWords = False
            .HighLightComments = False

            .LoadFile cdFile.FileName
            
            
        
        End With

    End If
    
End Sub

Private Sub mnuPaste_Click()
    CodeView1.Paste
End Sub

Private Sub mnuProperties_Click()
    CodeView1.DisplayStatistics
End Sub

Private Sub mnuSpellCheck_Click()
    CodeView1.DictionaryPath = App.Path & "\Dictionary.txt"
    
    CodeView1.SpellCheck
End Sub

Private Sub mnusRTF_Click()
    
    cdFile.Filter = "*.rtf|*.rtf"
    cdFile.ShowSave
        
    If cdFile.FileName > "" Then
        CodeView1.SaveAsrichtext cdFile.FileName
    End If
    

End Sub

Private Sub mnusText_Click()

    cdFile.Filter = "*.txt|*.txt"
    cdFile.ShowSave
        
    If cdFile.FileName > "" Then
        CodeView1.SaveAsText cdFile.FileName
    End If
    
        

End Sub
