VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmPoperties 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "CodeView Options"
   ClientHeight    =   3945
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5595
   Icon            =   "frmPoperties.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3945
   ScaleWidth      =   5595
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog comDiag 
      Left            =   0
      Top             =   3480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   375
      Left            =   2640
      TabIndex        =   15
      Top             =   3480
      Width           =   855
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   375
      Left            =   4560
      TabIndex        =   14
      Top             =   3480
      Width           =   855
   End
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Height          =   375
      Left            =   3600
      TabIndex        =   13
      Top             =   3480
      Width           =   855
   End
   Begin VB.Frame Frame1 
      Caption         =   " Options "
      Height          =   3135
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5295
      Begin VB.PictureBox picColBack 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   19
         Top             =   2640
         Width           =   375
      End
      Begin VB.PictureBox picColTerminal 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   17
         Top             =   1920
         Width           =   375
      End
      Begin VB.PictureBox picColStrings 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   12
         Top             =   2280
         Width           =   375
      End
      Begin VB.PictureBox picColNumbers 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   11
         Top             =   1200
         Width           =   375
      End
      Begin VB.PictureBox picColComments 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   10
         Top             =   840
         Width           =   375
      End
      Begin VB.PictureBox picColKeyWords 
         Height          =   255
         Left            =   4320
         ScaleHeight     =   195
         ScaleWidth      =   315
         TabIndex        =   9
         Top             =   480
         Width           =   375
      End
      Begin VB.CheckBox chkBoldStrings 
         Caption         =   "Bold Strings"
         Height          =   255
         Left            =   2520
         TabIndex        =   8
         Top             =   1560
         Width           =   2175
      End
      Begin VB.CheckBox chkBoldNumbers 
         Caption         =   "Bold Numbers"
         Height          =   255
         Left            =   2520
         TabIndex        =   7
         Top             =   1200
         Width           =   2175
      End
      Begin VB.CheckBox chkBoldComments 
         Caption         =   "Bold Comments"
         Height          =   255
         Left            =   2520
         TabIndex        =   6
         Top             =   840
         Width           =   2175
      End
      Begin VB.CheckBox chkBoldKeywords 
         Caption         =   "Bold Key Words"
         Height          =   255
         Left            =   2520
         TabIndex        =   5
         Top             =   480
         Width           =   2175
      End
      Begin VB.CheckBox chkHighlightStrings 
         Caption         =   "Highlight Strings"
         Height          =   255
         Left            =   480
         TabIndex        =   4
         Top             =   1560
         Value           =   1  'Checked
         Width           =   2175
      End
      Begin VB.CheckBox chkHighlightNumbers 
         Caption         =   "Highlight Numbers"
         Height          =   255
         Left            =   480
         TabIndex        =   3
         Top             =   1200
         Value           =   1  'Checked
         Width           =   2175
      End
      Begin VB.CheckBox chkHighlightComments 
         Caption         =   "Highlight Comments"
         Height          =   255
         Left            =   480
         TabIndex        =   2
         Top             =   840
         Value           =   1  'Checked
         Width           =   2175
      End
      Begin VB.CheckBox chkKeyWords 
         Caption         =   "Highlight Key Words"
         Height          =   255
         Left            =   480
         TabIndex        =   1
         Top             =   480
         Value           =   1  'Checked
         Width           =   2175
      End
      Begin VB.Label Label3 
         Caption         =   "Back Colour"
         Height          =   255
         Left            =   2760
         TabIndex        =   20
         Top             =   2640
         Width           =   1215
      End
      Begin VB.Label Label2 
         Caption         =   "Text Colour"
         Height          =   255
         Left            =   2760
         TabIndex        =   18
         Top             =   2280
         Width           =   1215
      End
      Begin VB.Label Label1 
         Caption         =   "Terminal Colour"
         Height          =   255
         Left            =   2760
         TabIndex        =   16
         Top             =   1920
         Width           =   1215
      End
   End
End
Attribute VB_Name = "frmPoperties"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim objCodeView As CodeView


Public Function LoadOptions(objCode As CodeView)
    
    Set objCodeView = objCode
    
    With Me
        
        .chkBoldComments = IIf(objCode.BoldComments, 1, 0)
        .chkBoldKeywords = IIf(objCode.BoldKeyWords, 1, 0)
        .chkBoldNumbers.Value = IIf(objCode.BoldNumbers, 1, 0)
        .chkBoldStrings.Value = IIf(objCode.BoldStrings, 1, 0)
        
        .chkHighlightComments = IIf(objCode.HighLightComments, 1, 0)
        .chkHighlightNumbers = IIf(objCode.HighlightNumbers, 1, 0)
        .chkHighlightStrings = IIf(objCode.HighlightStrings, 1, 0)
        .chkKeyWords = IIf(objCode.HighlightKeyWords, 1, 0)
        
        .picColComments.BackColor = objCode.CommentColour
        .picColKeyWords.BackColor = objCode.KeyWordColour
        .picColNumbers.BackColor = objCode.NumberColour
        .picColStrings.BackColor = objCode.StringColour
        .picColTerminal.BackColor = objCode.TerminalColour
        .picColBack.BackColor = objCode.BackColor
        
    End With
    

End Function

Private Sub cmdApply_Click()
    
    LockWindowUpdate objCodeView.hWnd

    Call SetOptions
    objCodeView.LoadText objCodeView.Text
    
    LockWindowUpdate 0&
    
End Sub

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()

    Call SetOptions
    objCodeView.LoadText objCodeView.Text
    
    Unload Me

End Sub


Private Function SetOptions()
    
    With objCodeView
        
        DoEvents
        .BackColor = picColBack.BackColor
        
        
        DoEvents
        .BoldComments = chkBoldComments
        .BoldKeyWords = chkBoldKeywords
        .BoldNumbers = chkBoldNumbers
        .BoldStrings = chkBoldStrings
        
        .HighLightComments = chkHighlightComments
        .HighlightNumbers = chkHighlightNumbers
        .HighlightStrings = chkHighlightStrings
        .HighlightKeyWords = chkKeyWords
        
        .CommentColour = picColComments.BackColor
        .KeyWordColour = picColKeyWords.BackColor
        .NumberColour = picColNumbers.BackColor
        .StringColour = picColStrings.BackColor
        .TerminalColour = picColTerminal.BackColor
        
        
         
    End With
    

End Function

Private Sub picColBack_Click()
    picColBack.BackColor = GetColour
End Sub

Private Sub picColComments_Click()
    picColComments.BackColor = GetColour
End Sub

Private Sub picColKeyWords_Click()
    picColKeyWords.BackColor = GetColour
End Sub

Private Sub picColNumbers_Click()
    picColNumbers.BackColor = GetColour
End Sub

Private Sub picColStrings_Click()
    picColStrings.BackColor = GetColour
End Sub

Private Sub picColTerminal_Click()
    picColTerminal.BackColor = GetColour
End Sub



Private Function GetColour()
    With Me.comDiag
        .ShowColor
        GetColour = .Color
    End With
End Function

